package com.schoolinout.system.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;

/**
 * @author sakura
 * @date 2024/1/4 14:14:04 Thu
 */
@Schema(name = "教师和班级关系实体")
public class TeacherClassInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Schema(description = "id")
    private Long id;

    /**
     * 教师id
     */
    @Schema(description = "教师id")
    private Long teacherId;


    /**
     * 学校id
     */
    @Schema(description = "学校id")
    private Long schoolId;

    @Schema(description = "班级id")
    private Long classId;

    /**
     * 老师姓名
     */
    @Schema(description = "老师姓名")
    private String teacherName;

    /**
     * 性别；0男   1女
     */
    @Schema(description = "性别；0男   1女")
    private String gender;

    /**
     * 联系电话
     */
    @Schema(description = "联系电话")
    private String phone;

    @Schema(description = "班级名称")
    private String className;

    @Schema(description = "是否为班主任")
    private String teacherMain;

    @Override
    public String toString() {
        return "TeacherClassInfoVo{" +
                "id=" + id +
                ", teacherId=" + teacherId +
                ", schoolId=" + schoolId +
                ", classId=" + classId +
                ", teacherName='" + teacherName + '\'' +
                ", gender='" + gender + '\'' +
                ", phone='" + phone + '\'' +
                ", className='" + className + '\'' +
                ", teacherMain='" + teacherMain + '\'' +
                '}';
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherMain() {
        return teacherMain;
    }

    public void setTeacherMain(String teacherMain) {
        this.teacherMain = teacherMain;
    }


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }
}
